1

I have installed imagick on my amazon lightsail lamp instance like so:

apt-get install imagemagick
apt-get install php5-imagick

Unfortunately craft tells me that the ImageMagick extension has Passed with warnings. See this image:

enter image description here

What am I missing? How do I make sure imagick is working correctly?

  • Any reason why you don't use PHP 7 for your Craft install? – carlcs Dec 15 '16 at 7:41
  • @carlcs I found it more convenient to install php5 and my plan is to use heavy caching with cloudFront later so it shouldn't make a big difference – Sven Dec 15 '16 at 14:39
  • I’d still recommend PHP 7 for the speed improvements you’d gain for CP pages. – carlcs Dec 15 '16 at 14:45
  • @carlcs do you know a good starting point for a craft ready php7 server? – Sven Dec 15 '16 at 17:48
  • A very common combo in the Craft community is a 1 GB Digital Ocean VPS provisioned and secured via a (free) ServerPilot account. – carlcs Dec 15 '16 at 17:57
1

Click on the "i" graphic and it will probably tell you that GD is installed, but Imagick isn't and it is recommended.

You can verify that Imagick is installed and available to PHP/Craft by going to yoursite.com/admin/utils/phpinfo and searching for "imagick". If it's not there, then it has not been installed properly.

|improve this answer|||||
  • The "i" says "GD or ImageMagick is required, however ImageMagick is recommended as it adds ...". I can't find "imagick" under phpinfo... on to google... – Sven Dec 15 '16 at 14:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.